aboutsummaryrefslogtreecommitdiff
path: root/usr.sbin/bsdinstall/scripts
diff options
context:
space:
mode:
authorDevin Teske <dteske@FreeBSD.org>2015-09-11 20:56:36 +0000
committerDevin Teske <dteske@FreeBSD.org>2015-09-11 20:56:36 +0000
commitcc478f6fd3a18f27766829d1de7d449a095c8ae0 (patch)
tree629d7e67291d57f08ada3fda9473c1ddcee2002e /usr.sbin/bsdinstall/scripts
parent527a9f3a854c4796b80061b1d553ac4f5ad43c10 (diff)
Notes
Diffstat (limited to 'usr.sbin/bsdinstall/scripts')
-rwxr-xr-xusr.sbin/bsdinstall/scripts/hostname5
1 files changed, 4 insertions, 1 deletions
diff --git a/usr.sbin/bsdinstall/scripts/hostname b/usr.sbin/bsdinstall/scripts/hostname
index a53fd80118323..5418dad403ec3 100755
--- a/usr.sbin/bsdinstall/scripts/hostname
+++ b/usr.sbin/bsdinstall/scripts/hostname
@@ -43,6 +43,9 @@ if [ $? -eq $DIALOG_CANCEL ]; then exit 1; fi
exec 3>&-
echo "hostname=\"$HOSTNAME\"" > $BSDINSTALL_TMPETC/rc.conf.hostname
-if [ ! -z $BSDINSTALL_CONFIGCURRENT ]; then
+retval=$?
+if [ "$BSDINSTALL_CONFIGCURRENT" ]; then
hostname -s "$HOSTNAME"
+ retval=$?
fi
+exit $retval